/freshservice-admin | Type: Application | PCID required: Yes
Tools
freshservice_admin_create_announcement
Create an Announcement Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string | Yes | — | HTML body |
title | string | Yes | — | The title value |
visibility | string | No | — | everyone, agents_only, grouped |
visible_from | string | No | — | Visible from (ISO 8601) |
visible_till | string | No | — | Visible until |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "string",
"description": "HTML body"
},
"title": {
"type": "string",
"description": "The title value"
},
"visibility": {
"type": "string",
"description": "everyone, agents_only, grouped"
},
"visible_from": {
"type": "string",
"description": "Visible from (ISO 8601)"
},
"visible_till": {
"type": "string",
"description": "Visible until"
}
},
"required": [
"PCID",
"body",
"title"
]
}
freshservice_admin_create_custom_object_record
Create a Custom Object Record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_id | integer | Yes | — | Object ID |
data | object | Yes | — | Field values |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object_id": {
"type": "integer",
"description": "Object ID"
},
"data": {
"type": "object",
"description": "Field values"
}
},
"required": [
"PCID",
"object_id",
"data"
]
}
freshservice_admin_create_offboarding_request
Create an Offboarding Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fields | object | Yes | — | Offboarding field values |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fields": {
"type": "object",
"description": "Offboarding field values"
}
},
"required": [
"PCID",
"fields"
]
}
freshservice_admin_create_onboarding_request
Create an Onboarding Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fields | object | Yes | — | Onboarding field values |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fields": {
"type": "object",
"description": "Onboarding field values"
}
},
"required": [
"PCID",
"fields"
]
}
freshservice_admin_create_project
Create a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | The description value |
end_date | string | No | — | End date |
manager_id | integer | No | — | Manager agent ID |
name | string | Yes | — | The name value |
priority | integer | No | — | The priority value |
start_date | string | No | — | Start date |
status | integer | No | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "The description value"
},
"end_date": {
"type": "string",
"description": "End date"
},
"manager_id": {
"type": "integer",
"description": "Manager agent ID"
},
"name": {
"type": "string",
"description": "The name value"
},
"priority": {
"type": "integer",
"description": "The priority value"
},
"start_date": {
"type": "string",
"description": "Start date"
},
"status": {
"type": "integer",
"description": "The status value"
}
},
"required": [
"PCID",
"name"
]
}
freshservice_admin_create_project_task
Create a Project Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
description | string | No | — | The description value |
due_date | string | No | — | Due date |
owner_id | integer | No | — | Owner |
title | string | Yes | — | The title value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
},
"description": {
"type": "string",
"description": "The description value"
},
"due_date": {
"type": "string",
"description": "Due date"
},
"owner_id": {
"type": "integer",
"description": "Owner"
},
"title": {
"type": "string",
"description": "The title value"
}
},
"required": [
"PCID",
"project_id",
"title"
]
}
freshservice_admin_delete_announcement
Delete an Announcement Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
announcement_id | integer | Yes | — | Announcement ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"announcement_id": {
"type": "integer",
"description": "Announcement ID"
}
},
"required": [
"PCID",
"announcement_id"
]
}
freshservice_admin_delete_custom_object_record
Delete a Custom Object Record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_id | integer | Yes | — | Object ID |
record_id | integer | Yes | — | Record ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object_id": {
"type": "integer",
"description": "Object ID"
},
"record_id": {
"type": "integer",
"description": "Record ID"
}
},
"required": [
"PCID",
"object_id",
"record_id"
]
}
freshservice_admin_delete_project
Delete a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
}
},
"required": [
"PCID",
"project_id"
]
}
freshservice_admin_delete_project_task
Delete a Project Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
task_id | integer | Yes | — | Task ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
},
"task_id": {
"type": "integer",
"description": "Task ID"
}
},
"required": [
"PCID",
"project_id",
"task_id"
]
}
freshservice_admin_get_announcement
View an Announcement Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
announcement_id | integer | Yes | — | Announcement ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"announcement_id": {
"type": "integer",
"description": "Announcement ID"
}
},
"required": [
"PCID",
"announcement_id"
]
}
freshservice_admin_get_business_hours
View a Business Hours Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
business_hours_id | integer | Yes | — | Config ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"business_hours_id": {
"type": "integer",
"description": "Config ID"
}
},
"required": [
"PCID",
"business_hours_id"
]
}
freshservice_admin_get_canned_response
View a Canned Response Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
response_id | integer | Yes | — | Response ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"response_id": {
"type": "integer",
"description": "Response ID"
}
},
"required": [
"PCID",
"response_id"
]
}
freshservice_admin_get_canned_response_folder
View a Canned Response Folder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
folder_id | integer | Yes | — | Folder ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"folder_id": {
"type": "integer",
"description": "Folder ID"
}
},
"required": [
"PCID",
"folder_id"
]
}
freshservice_admin_get_custom_object
View a Custom Object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_id | integer | Yes | — | Object ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object_id": {
"type": "integer",
"description": "Object ID"
}
},
"required": [
"PCID",
"object_id"
]
}
freshservice_admin_get_offboarding_form
View Offboarding Form FieldsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
freshservice_admin_get_offboarding_request
View an Offboarding Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
request_id | integer | Yes | — | Request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"request_id": {
"type": "integer",
"description": "Request ID"
}
},
"required": [
"PCID",
"request_id"
]
}
freshservice_admin_get_onboarding_form
View Onboarding Form FieldsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
freshservice_admin_get_onboarding_request
View an Onboarding Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
request_id | integer | Yes | — | Request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"request_id": {
"type": "integer",
"description": "Request ID"
}
},
"required": [
"PCID",
"request_id"
]
}
freshservice_admin_get_project
View a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
}
},
"required": [
"PCID",
"project_id"
]
}
freshservice_admin_get_project_task
View a Project Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
task_id | integer | Yes | — | Task ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
},
"task_id": {
"type": "integer",
"description": "Task ID"
}
},
"required": [
"PCID",
"project_id",
"task_id"
]
}
freshservice_admin_get_workspace
View a Workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | integer | Yes | — | Workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "integer",
"description": "Workspace ID"
}
},
"required": [
"PCID",
"workspace_id"
]
}
freshservice_admin_list_announcements
List All Announcements Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_business_hours
List All Business Hours ConfigsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_canned_response_folders
List Canned Response FoldersShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_canned_responses
List All Canned Responses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_custom_object_records
List Custom Object Records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_id | integer | Yes | — | Object ID |
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object_id": {
"type": "integer",
"description": "Object ID"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID",
"object_id"
]
}
freshservice_admin_list_custom_objects
List All Custom ObjectsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_offboarding_requests
List All Offboarding Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_offboarding_tickets
List Offboarding Tickets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
request_id | integer | Yes | — | Request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"request_id": {
"type": "integer",
"description": "Request ID"
}
},
"required": [
"PCID",
"request_id"
]
}
freshservice_admin_list_onboarding_requests
List All Onboarding Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_onboarding_tickets
List Onboarding Tickets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
request_id | integer | Yes | — | Request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"request_id": {
"type": "integer",
"description": "Request ID"
}
},
"required": [
"PCID",
"request_id"
]
}
freshservice_admin_list_project_tasks
List Project Tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID",
"project_id"
]
}
freshservice_admin_list_projects
List All Projects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_sla_policies
List All SLA PoliciesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
freshservice_admin_list_workspaces
List All Workspaces Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page (max 100) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page (max 100)"
}
},
"required": [
"PCID"
]
}
freshservice_admin_update_announcement
Update an Announcement Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
announcement_id | integer | Yes | — | Announcement ID |
body | string | No | — | The body value |
title | string | No | — | The title value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"announcement_id": {
"type": "integer",
"description": "Announcement ID"
},
"body": {
"type": "string",
"description": "The body value"
},
"title": {
"type": "string",
"description": "The title value"
}
},
"required": [
"PCID",
"announcement_id"
]
}
freshservice_admin_update_custom_object_record
Update a Custom Object Record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_id | integer | Yes | — | Object ID |
record_id | integer | Yes | — | Record ID |
data | object | No | — | Fields |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object_id": {
"type": "integer",
"description": "Object ID"
},
"record_id": {
"type": "integer",
"description": "Record ID"
},
"data": {
"type": "object",
"description": "Fields"
}
},
"required": [
"PCID",
"object_id",
"record_id"
]
}
freshservice_admin_update_project
Update a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
description | string | No | — | The description value |
name | string | No | — | The name value |
status | integer | No | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
},
"description": {
"type": "string",
"description": "The description value"
},
"name": {
"type": "string",
"description": "The name value"
},
"status": {
"type": "integer",
"description": "The status value"
}
},
"required": [
"PCID",
"project_id"
]
}
freshservice_admin_update_project_task
Update a Project Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID |
task_id | integer | Yes | — | Task ID |
status | integer | No | — | The status value |
title | string | No | — | The title value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID"
},
"task_id": {
"type": "integer",
"description": "Task ID"
},
"status": {
"type": "integer",
"description": "The status value"
},
"title": {
"type": "string",
"description": "The title value"
}
},
"required": [
"PCID",
"project_id",
"task_id"
]
}

